Subject: [Syslog-sec] 3195bis - anyone doing COOKED?

From: Chris Lonvick <[email-masked]>
Date: Wed, 10 Aug 2005 09:23:37 -0700 (PDT)

Hi Folks,

I've asked Marshall Rose and Darren New to update RFC 3195 with respect to
syslog-protocol.  There are some implementations of RAW but I need to ask
if anyone either has an implementation of COOKED, or is planning on doing
an implementation of COOKED?  If so, then your comments on the document
will be greatly appreciated.  If not, we should consider removing it from
the document.

(Note on the RFC process: An RFC that has a REQUIRED feature that no one
is implementing will not have an easy time moving from a Draft Standard to
a Proposed Standard.  It would then be very difficult for it to become a
Full Standard.  If no one is going to do COOKED we should remove it from
the document so that implementations can claim compliance with the full
specification.)

Thanks,
Chris
_______________________________________________
Syslog-sec mailing list
[email-masked]
http://www.employees.org/mailman/listinfo/syslog-sec

---

From: Marshall Glen <[email-masked]>
Date: Wed, 10 Aug 2005 12:46:12 -0400

Chris,

The IHE implementation specification for RFC 3881 specifies COOKED.  See 
http://www.ihe.net/Technical_Framework/upload/IHE_ITI_Node_Authentication_Se
curity_2004_08-15.pdf

It has been implemented already.

Glen Marshall

-----Original Message-----
From: Chris Lonvick [mailto:[email-masked]]
Sent: Wednesday, August 10, 2005 12:24 PM
To: [email-masked]
Subject: [Syslog-sec] 3195bis - anyone doing COOKED?

Hi Folks,

Thanks,
Chris

-------------------------------------------------------------------------------
This message and any included attachments are from Siemens Medical Solutions 
USA, Inc. and are intended only for the addressee(s).  
The information contained herein may include trade secrets or privileged or 
otherwise confidential information.  Unauthorized review, forwarding, printing, 
copying, distributing, or using such information is strictly prohibited and may 
be unlawful.  If you received this message in error, or have reason to believe 
you are not authorized to receive it, please promptly delete this message and 
notify the sender by e-mail with a copy to [email-masked] 

Thank you

---

From: "Rainer Gerhards" <[email-masked]>
Date: Wed, 10 Aug 2005 18:56:35 +0200

Chris,

I have at least a partial implementation in liblogging
(http://www.liblogging.org). I think its currently in the CVS version
only (lack of demand), but I am in the process of moving it into the
main branch. Once done, our intension is to include COOKED into our
windows based apps and probably in our linux syslogd-replacement
(rsyslog - www.rsyslog.com), too.

The hardest part of COOKED is the relay procesing, I think there could
be some room for additional compliance levels.

I'll try to prepare a larger message, but I thought I provide some quick
facts. I need to leave the office now and will not be in tomorrow.

Rainer

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> Chris Lonvick
> Sent: Wednesday, August 10, 2005 6:24 PM